NetBSD Problem Report #42379

From www@NetBSD.org  Thu Nov 26 00:50:50 2009
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [204.152.190.11])
	by www.NetBSD.org (Postfix) with ESMTP id CFBAB63B8CD
	for <gnats-bugs@gnats.netbsd.org>; Thu, 26 Nov 2009 00:50:49 +0000 (UTC)
Message-Id: <20091126005049.6560E63B8B4@www.NetBSD.org>
Date: Thu, 26 Nov 2009 00:50:49 +0000 (UTC)
From: kordex@gmail.com
Reply-To: kordex@gmail.com
To: gnats-bugs@NetBSD.org
Subject: libtool-base fails patching, SUA6.1 patch is incompatible
X-Send-Pr-Version: www-1.0

>Number:         42379
>Category:       pkg
>Synopsis:       libtool-base fails patching, SUA6.1 patch is incompatible
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    interix-pkg-people
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Nov 26 00:55:00 +0000 2009
>Last-Modified:  Sat Dec 19 12:00:03 +0000 2009
>Originator:     Mikko Kortelainen
>Release:        -
>Organization:
xnet.fi
>Environment:
Interix hecorelia 6.1 10.0.6030.0 authenticamd AMD64_Family_16_Model_4_Stepping_2
>Description:
=> Returning to build of libtool-base-1.5.26nb2
===> Overriding tools for libtool-base-1.5.26nb2
===> Extracting for libtool-base-1.5.26nb2
===> Patching for libtool-base-1.5.26nb2
=> Applying pkgsrc patches for libtool-base-1.5.26nb2
patch: **** too many file arguments
Patch /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-aa failed
patch: **** too many file arguments
Patch /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ab failed
patch: **** too many file arguments
Patch /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ac failed
patch: **** too many file arguments
Patch /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ad failed
ERROR: Patching failed due to modified or broken patch file(s):
ERROR:  /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-aa
ERROR:  /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ab
ERROR:  /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ac
ERROR:  /opt/pkgsrc/devel/libtool-base/../libtool/patches/patch-ad
*** Error code 1

Stop.
bmake: stopped in /opt/pkgsrc/devel/libtool-base
*** Error code 1

Stop.
bmake: stopped in /opt/pkgsrc/devel/libtool-base
*** Error code 1

Stop.

>How-To-Repeat:
cd devel/libtool-base && bmake
>Fix:
possibly depend on nbpatch/gpatch and use it as patching method on interix (for other pkgs too).

>Release-Note:

>Audit-Trail:
From: kordex - <kordex@gmail.com>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/42379: libtool-base fails patching, SUA6.1 patch is 
	incompatible
Date: Thu, 26 Nov 2009 03:02:57 +0200

 it seems that the patch utility it is using is actually nbpatch. thank
 you dfjoerg for pointing that out.

 ##
 %cd /opt/pkgsrc/devel/libtool-base/
 %bmake show-var VARNAME=3DPATCH
 /opt/pkg/bin/nbpatch
 ##

 2009/11/26  <gnats-admin@netbsd.org>:
 > Thank you very much for your problem report.
 > It has the internal identification `pkg/42379'.
 > The individual assigned to look at your
 > report is: pkg-manager.
 >
 >>Category: =C2=A0 =C2=A0 =C2=A0 pkg
 >>Responsible: =C2=A0 =C2=A0pkg-manager
 >>Synopsis: =C2=A0 =C2=A0 =C2=A0 libtool-base fails patching, SUA6.1 patch =
 is incompatible
 >>Arrival-Date: =C2=A0 Thu Nov 26 00:55:00 +0000 2009
 >
 >

Responsible-Changed-From-To: pkg-manager->interix-pkg-people
Responsible-Changed-By: wiz@NetBSD.org
Responsible-Changed-When: Thu, 26 Nov 2009 09:00:07 +0000
Responsible-Changed-Why:
Interix pkgsrc problem.


From: "OBATA Akio" <obache@netbsd.org>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/42379: libtool-base fails patching, SUA6.1 patch is
 incompatible
Date: Sat, 12 Dec 2009 22:59:54 +0900

 Quick fix is removal
 NBCOMPAT_CONFIGURE_ARGS+=	--enable-bsd-getopt
  from devel/nbpatch/Makefile.

 For SUA 6.0 (a.k.a. interix-6.0), nbpatch works well as excepted without it.
 I don't know what platform require it, and how about other Interix releases.

From: "OBATA Akio" <obache@netbsd.org>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/42379: libtool-base fails patching, SUA6.1 patch is
 incompatible
Date: Wed, 16 Dec 2009 17:11:51 +0900

 This issue came from pkgtools/libnbcompat.

 On SUA 6.0, optreset is only defined in getopt.h, not in unistd.h
 (optind and optarg are in both).

 How about following patch and autconf&autohead?
 (additionaly check optarg, it is defined in nbcompat/unistd.h conditionally).

 Index: configure.ac
 ===================================================================
 RCS file: /cvsroot/pkgsrc/pkgtools/libnbcompat/files/configure.ac,v
 retrieving revision 1.74
 diff -u -r1.74 configure.ac
 --- configure.ac	5 Jun 2009 19:58:04 -0000	1.74
 +++ configure.ac	16 Dec 2009 07:57:17 -0000
 @@ -142,7 +142,7 @@
   	[AS_HELP_STRING([--enable-bsd-getopt],
   			[force use of BSDish getopt implementation])])

 -AC_CHECK_DECLS([optind, optreset], [:], [:], [
 +AC_CHECK_DECLS([optind, optarg], [:], [:], [
   	#include <stdio.h>
   	#include <stdlib.h>
   	#include <unistd.h>
 @@ -157,6 +157,15 @@
   	[ AC_LIBOBJ(getopt_long)]
   )

 +AC_CHECK_DECLS([optreset], [:], [:], [
 +	#include <stdio.h>
 +	#include <stdlib.h>
 +	#include <unistd.h>
 +	#ifdef HAVE_GETOPT_H
 +	#include <getopt.h>
 +	#endif
 +])
 +
   if test "$enable_bsd_getopt" = yes; then
   	if test "$ac_cv_have_decl_optreset" = no; then
   		AC_LIBOBJ(getopt)
 Index: nbcompat/getopt.h
 ===================================================================
 RCS file: /cvsroot/pkgsrc/pkgtools/libnbcompat/files/nbcompat/getopt.h,v
 retrieving revision 1.5
 diff -u -r1.5 getopt.h
 --- nbcompat/getopt.h	29 Apr 2008 05:46:08 -0000	1.5
 +++ nbcompat/getopt.h	16 Dec 2009 07:57:17 -0000
 @@ -35,6 +35,11 @@
   #include <nbcompat/cdefs.h>
   #include <nbcompat/unistd.h>

 +#if HAVE_GETOPT_H
 +#include <getopt.h>
 +#endif
 +
 +#if !HAVE_STRUCT_OPTION
   /*
    * Gnu like getopt_long() and BSD4.4 getsubopt()/optreset extensions
    */
 @@ -60,5 +65,6 @@
   int getopt_long (int, char * const *, const char *,
       const struct option *, int *);
   __END_DECLS
 +#endif

   #endif /* !_NBCOMPAT_GETOPT_H_ */

From: OBATA Akio <obache@netbsd.org>
To: gnats-bugs@gnats.NetBSD.org
Cc: 
Subject: PR/42379 CVS commit: pkgsrc/mk/tools
Date: Sat, 19 Dec 2009 11:56:11 +0000

 Module Name:	pkgsrc
 Committed By:	obache
 Date:		Sat Dec 19 11:56:11 UTC 2009

 Modified Files:
 	pkgsrc/mk/tools: tools.Interix.mk

 Log Message:
 SUA 6.0 have patch command sufficent to use with pkgsrc.
 Workaround of PR#42379, broken nbpatch package on SUA 6.1.


 To generate a diff of this commit:
 cvs rdiff -u -r1.22 -r1.23 pkgsrc/mk/tools/tools.Interix.mk

 Please note that diffs are not public domain; they are subject to the
 copyright notices on the relevant files.

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.